com.jogamp.gluegen.cgram

## Interface GnuCTreeParserTokenTypes

- All Known Implementing Classes:
    GnuCTreeParser

      public interface GnuCTreeParserTokenTypes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASSIGN`
    `static int` | `BadStringLiteral`
    `static int` | `BAND`
    `static int` | `BAND_ASSIGN`
    `static int` | `BNOT`
    `static int` | `BOR`
    `static int` | `BOR_ASSIGN`
    `static int` | `BXOR`
    `static int` | `BXOR_ASSIGN`
    `static int` | `CharLiteral`
    `static int` | `COLON`
    `static int` | `COMMA`
    `static int` | `Comment`
    `static int` | `CPPComment`
    `static int` | `DEC`
    `static int` | `DefineExpr`
    `static int` | `DefineExpr2`
    `static int` | `Digit`
    `static int` | `DIV`
    `static int` | `DIV_ASSIGN`
    `static int` | `DOT`
    `static int` | `DoubleDoubleConst`
    `static int` | `EOF`
    `static int` | `EQUAL`
    `static int` | `Escape`
    `static int` | `Exponent`
    `static int` | `FloatDoubleConst`
    `static int` | `FloatSuffix`
    `static int` | `GT`
    `static int` | `GTE`
    `static int` | `ID`
    `static int` | `INC`
    `static int` | `IntHexConst`
    `static int` | `IntIntConst`
    `static int` | `IntOctalConst`
    `static int` | `LAND`
    `static int` | `LBRACKET`
    `static int` | `LCURLY`
    `static int` | `LineDirective`
    `static int` | `LITERAL___alignof`
    `static int` | `LITERAL___attribute`
    `static int` | `LITERAL___complex`
    `static int` | `LITERAL___imag`
    `static int` | `LITERAL___label__`
    `static int` | `LITERAL___real`
    `static int` | `LITERAL_asm`
    `static int` | `LITERAL_auto`
    `static int` | `LITERAL_break`
    `static int` | `LITERAL_case`
    `static int` | `LITERAL_char`
    `static int` | `LITERAL_const`
    `static int` | `LITERAL_continue`
    `static int` | `LITERAL_default`
    `static int` | `LITERAL_do`
    `static int` | `LITERAL_double`
    `static int` | `LITERAL_else`
    `static int` | `LITERAL_enum`
    `static int` | `LITERAL_extern`
    `static int` | `LITERAL_float`
    `static int` | `LITERAL_for`
    `static int` | `LITERAL_goto`
    `static int` | `LITERAL_if`
    `static int` | `LITERAL_inline`
    `static int` | `LITERAL_int`
    `static int` | `LITERAL_intptr_t`
    `static int` | `LITERAL_long`
    `static int` | `LITERAL_ptrdiff_t`
    `static int` | `LITERAL_register`
    `static int` | `LITERAL_return`
    `static int` | `LITERAL_short`
    `static int` | `LITERAL_signed`
    `static int` | `LITERAL_size_t`
    `static int` | `LITERAL_sizeof`
    `static int` | `LITERAL_static`
    `static int` | `LITERAL_struct`
    `static int` | `LITERAL_switch`
    `static int` | `LITERAL_typedef`
    `static int` | `LITERAL_typeof`
    `static int` | `LITERAL_uintptr_t`
    `static int` | `LITERAL_union`
    `static int` | `LITERAL_unsigned`
    `static int` | `LITERAL_void`
    `static int` | `LITERAL_volatile`
    `static int` | `LITERAL_wchar_t`
    `static int` | `LITERAL_while`
    `static int` | `LNOT`
    `static int` | `LongDoubleConst`
    `static int` | `LongHexConst`
    `static int` | `LongIntConst`
    `static int` | `LongOctalConst`
    `static int` | `LongSuffix`
    `static int` | `LOR`
    `static int` | `LPAREN`
    `static int` | `LSHIFT`
    `static int` | `LSHIFT_ASSIGN`
    `static int` | `LT`
    `static int` | `LTE`
    `static int` | `MINUS`
    `static int` | `MINUS_ASSIGN`
    `static int` | `MOD`
    `static int` | `MOD_ASSIGN`
    `static int` | `NAsmAttribute`
    `static int` | `NCast`
    `static int` | `NCommaExpr`
    `static int` | `NCompoundStatement`
    `static int` | `NDeclaration`
    `static int` | `NDeclarator`
    `static int` | `NEmptyExpression`
    `static int` | `NExpressionGroup`
    `static int` | `NFunctionCallArgs`
    `static int` | `NFunctionDef`
    `static int` | `NGnuAsmExpr`
    `static int` | `NInitDecl`
    `static int` | `NInitializer`
    `static int` | `NInitializerElementLabel`
    `static int` | `NLabel`
    `static int` | `NLcurlyInitializer`
    `static int` | `NNonemptyAbstractDeclarator`
    `static int` | `NonWhitespace`
    `static int` | `NOT_EQUAL`
    `static int` | `NParameterDeclaration`
    `static int` | `NParameterTypeList`
    `static int` | `NPointerGroup`
    `static int` | `NPostfixExpr`
    `static int` | `NRangeExpr`
    `static int` | `NStatementExpr`
    `static int` | `NStringSeq`
    `static int` | `NStructDeclarator`
    `static int` | `NTypedefName`
    `static int` | `NTypeMissing`
    `static int` | `NULL_TREE_LOOKAHEAD`
    `static int` | `Number`
    `static int` | `NUnaryExpr`
    `static int` | `PLUS`
    `static int` | `PLUS_ASSIGN`
    `static int` | `PREPROC_DIRECTIVE`
    `static int` | `PTR`
    `static int` | `QUESTION`
    `static int` | `RBRACKET`
    `static int` | `RCURLY`
    `static int` | `RPAREN`
    `static int` | `RSHIFT`
    `static int` | `RSHIFT_ASSIGN`
    `static int` | `SEMI`
    `static int` | `Space`
    `static int` | `STAR`
    `static int` | `STAR_ASSIGN`
    `static int` | `StringLiteral`
    `static int` | `UnsignedHexConst`
    `static int` | `UnsignedIntConst`
    `static int` | `UnsignedOctalConst`
    `static int` | `UnsignedSuffix`
    `static int` | `VARARGS`
    `static int` | `Vocabulary`
    `static int` | `Whitespace`

- - ### Field Detail

    - #### EOF

          static final int EOF

      See Also:
        Constant Field Values

    - #### NULL_TREE_LOOKAHEAD

          static final int NULL_TREE_LOOKAHEAD

      See Also:
        Constant Field Values

    - #### LITERAL_typedef

          static final int LITERAL_typedef

      See Also:
        Constant Field Values

    - #### LITERAL_asm

          static final int LITERAL_asm

      See Also:
        Constant Field Values

    - #### LITERAL_volatile

          static final int LITERAL_volatile

      See Also:
        Constant Field Values

    - #### LCURLY

          static final int LCURLY

      See Also:
        Constant Field Values

    - #### RCURLY

          static final int RCURLY

      See Also:
        Constant Field Values

    - #### SEMI

          static final int SEMI

      See Also:
        Constant Field Values

    - #### LITERAL_struct

          static final int LITERAL_struct

      See Also:
        Constant Field Values

    - #### LITERAL_union

          static final int LITERAL_union

      See Also:
        Constant Field Values

    - #### LITERAL_enum

          static final int LITERAL_enum

      See Also:
        Constant Field Values

    - #### LITERAL_auto

          static final int LITERAL_auto

      See Also:
        Constant Field Values

    - #### LITERAL_register

          static final int LITERAL_register

      See Also:
        Constant Field Values

    - #### LITERAL_extern

          static final int LITERAL_extern

      See Also:
        Constant Field Values

    - #### LITERAL_static

          static final int LITERAL_static

      See Also:
        Constant Field Values

    - #### LITERAL_const

          static final int LITERAL_const

      See Also:
        Constant Field Values

    - #### LITERAL_void

          static final int LITERAL_void

      See Also:
        Constant Field Values

    - #### LITERAL_char

          static final int LITERAL_char

      See Also:
        Constant Field Values

    - #### LITERAL_short

          static final int LITERAL_short

      See Also:
        Constant Field Values

    - #### LITERAL_int

          static final int LITERAL_int

      See Also:
        Constant Field Values

    - #### LITERAL_long

          static final int LITERAL_long

      See Also:
        Constant Field Values

    - #### LITERAL_float

          static final int LITERAL_float

      See Also:
        Constant Field Values

    - #### LITERAL_double

          static final int LITERAL_double

      See Also:
        Constant Field Values

    - #### LITERAL_signed

          static final int LITERAL_signed

      See Also:
        Constant Field Values

    - #### LITERAL_unsigned

          static final int LITERAL_unsigned

      See Also:
        Constant Field Values

    - #### LITERAL_wchar_t

          static final int LITERAL_wchar_t

      See Also:
        Constant Field Values

    - #### LITERAL_ptrdiff_t

          static final int LITERAL_ptrdiff_t

      See Also:
        Constant Field Values

    - #### LITERAL_intptr_t

          static final int LITERAL_intptr_t

      See Also:
        Constant Field Values

    - #### LITERAL_size_t

          static final int LITERAL_size_t

      See Also:
        Constant Field Values

    - #### LITERAL_uintptr_t

          static final int LITERAL_uintptr_t

      See Also:
        Constant Field Values

    - #### ID

          static final int ID

      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      See Also:
        Constant Field Values

    - #### ASSIGN

          static final int ASSIGN

      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      See Also:
        Constant Field Values

    - #### LBRACKET

          static final int LBRACKET

      See Also:
        Constant Field Values

    - #### RBRACKET

          static final int RBRACKET

      See Also:
        Constant Field Values

    - #### VARARGS

          static final int VARARGS

      See Also:
        Constant Field Values

    - #### LITERAL_while

          static final int LITERAL_while

      See Also:
        Constant Field Values

    - #### LITERAL_do

          static final int LITERAL_do

      See Also:
        Constant Field Values

    - #### LITERAL_for

          static final int LITERAL_for

      See Also:
        Constant Field Values

    - #### LITERAL_goto

          static final int LITERAL_goto

      See Also:
        Constant Field Values

    - #### LITERAL_continue

          static final int LITERAL_continue

      See Also:
        Constant Field Values

    - #### LITERAL_break

          static final int LITERAL_break

      See Also:
        Constant Field Values

    - #### LITERAL_return

          static final int LITERAL_return

      See Also:
        Constant Field Values

    - #### LITERAL_case

          static final int LITERAL_case

      See Also:
        Constant Field Values

    - #### LITERAL_default

          static final int LITERAL_default

      See Also:
        Constant Field Values

    - #### LITERAL_if

          static final int LITERAL_if

      See Also:
        Constant Field Values

    - #### LITERAL_else

          static final int LITERAL_else

      See Also:
        Constant Field Values

    - #### LITERAL_switch

          static final int LITERAL_switch

      See Also:
        Constant Field Values

    - #### DIV_ASSIGN

          static final int DIV_ASSIGN

      See Also:
        Constant Field Values

    - #### PLUS_ASSIGN

          static final int PLUS_ASSIGN

      See Also:
        Constant Field Values

    - #### MINUS_ASSIGN

          static final int MINUS_ASSIGN

      See Also:
        Constant Field Values

    - #### STAR_ASSIGN

          static final int STAR_ASSIGN

      See Also:
        Constant Field Values

    - #### MOD_ASSIGN

          static final int MOD_ASSIGN

      See Also:
        Constant Field Values

    - #### RSHIFT_ASSIGN

          static final int RSHIFT_ASSIGN

      See Also:
        Constant Field Values

    - #### LSHIFT_ASSIGN

          static final int LSHIFT_ASSIGN

      See Also:
        Constant Field Values

    - #### BAND_ASSIGN

          static final int BAND_ASSIGN

      See Also:
        Constant Field Values

    - #### BOR_ASSIGN

          static final int BOR_ASSIGN

      See Also:
        Constant Field Values

    - #### BXOR_ASSIGN

          static final int BXOR_ASSIGN

      See Also:
        Constant Field Values

    - #### QUESTION

          static final int QUESTION

      See Also:
        Constant Field Values

    - #### LOR

          static final int LOR

      See Also:
        Constant Field Values

    - #### LAND

          static final int LAND

      See Also:
        Constant Field Values

    - #### BOR

          static final int BOR

      See Also:
        Constant Field Values

    - #### BXOR

          static final int BXOR

      See Also:
        Constant Field Values

    - #### BAND

          static final int BAND

      See Also:
        Constant Field Values

    - #### EQUAL

          static final int EQUAL

      See Also:
        Constant Field Values

    - #### NOT_EQUAL

          static final int NOT_EQUAL

      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      See Also:
        Constant Field Values

    - #### LTE

          static final int LTE

      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      See Also:
        Constant Field Values

    - #### GTE

          static final int GTE

      See Also:
        Constant Field Values

    - #### LSHIFT

          static final int LSHIFT

      See Also:
        Constant Field Values

    - #### RSHIFT

          static final int RSHIFT

      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      See Also:
        Constant Field Values

    - #### DIV

          static final int DIV

      See Also:
        Constant Field Values

    - #### MOD

          static final int MOD

      See Also:
        Constant Field Values

    - #### INC

          static final int INC

      See Also:
        Constant Field Values

    - #### DEC

          static final int DEC

      See Also:
        Constant Field Values

    - #### LITERAL_sizeof

          static final int LITERAL_sizeof

      See Also:
        Constant Field Values

    - #### BNOT

          static final int BNOT

      See Also:
        Constant Field Values

    - #### LNOT

          static final int LNOT

      See Also:
        Constant Field Values

    - #### PTR

          static final int PTR

      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      See Also:
        Constant Field Values

    - #### CharLiteral

          static final int CharLiteral

      See Also:
        Constant Field Values

    - #### StringLiteral

          static final int StringLiteral

      See Also:
        Constant Field Values

    - #### IntOctalConst

          static final int IntOctalConst

      See Also:
        Constant Field Values

    - #### LongOctalConst

          static final int LongOctalConst

      See Also:
        Constant Field Values

    - #### UnsignedOctalConst

          static final int UnsignedOctalConst

      See Also:
        Constant Field Values

    - #### IntIntConst

          static final int IntIntConst

      See Also:
        Constant Field Values

    - #### LongIntConst

          static final int LongIntConst

      See Also:
        Constant Field Values

    - #### UnsignedIntConst

          static final int UnsignedIntConst

      See Also:
        Constant Field Values

    - #### IntHexConst

          static final int IntHexConst

      See Also:
        Constant Field Values

    - #### LongHexConst

          static final int LongHexConst

      See Also:
        Constant Field Values

    - #### UnsignedHexConst

          static final int UnsignedHexConst

      See Also:
        Constant Field Values

    - #### FloatDoubleConst

          static final int FloatDoubleConst

      See Also:
        Constant Field Values

    - #### DoubleDoubleConst

          static final int DoubleDoubleConst

      See Also:
        Constant Field Values

    - #### LongDoubleConst

          static final int LongDoubleConst

      See Also:
        Constant Field Values

    - #### NTypedefName

          static final int NTypedefName

      See Also:
        Constant Field Values

    - #### NInitDecl

          static final int NInitDecl

      See Also:
        Constant Field Values

    - #### NDeclarator

          static final int NDeclarator

      See Also:
        Constant Field Values

    - #### NStructDeclarator

          static final int NStructDeclarator

      See Also:
        Constant Field Values

    - #### NDeclaration

          static final int NDeclaration

      See Also:
        Constant Field Values

    - #### NCast

          static final int NCast

      See Also:
        Constant Field Values

    - #### NPointerGroup

          static final int NPointerGroup

      See Also:
        Constant Field Values

    - #### NExpressionGroup

          static final int NExpressionGroup

      See Also:
        Constant Field Values

    - #### NFunctionCallArgs

          static final int NFunctionCallArgs

      See Also:
        Constant Field Values

    - #### NNonemptyAbstractDeclarator

          static final int NNonemptyAbstractDeclarator

      See Also:
        Constant Field Values

    - #### NInitializer

          static final int NInitializer

      See Also:
        Constant Field Values

    - #### NStatementExpr

          static final int NStatementExpr

      See Also:
        Constant Field Values

    - #### NEmptyExpression

          static final int NEmptyExpression

      See Also:
        Constant Field Values

    - #### NParameterTypeList

          static final int NParameterTypeList

      See Also:
        Constant Field Values

    - #### NFunctionDef

          static final int NFunctionDef

      See Also:
        Constant Field Values

    - #### NCompoundStatement

          static final int NCompoundStatement

      See Also:
        Constant Field Values

    - #### NParameterDeclaration

          static final int NParameterDeclaration

      See Also:
        Constant Field Values

    - #### NCommaExpr

          static final int NCommaExpr

      See Also:
        Constant Field Values

    - #### NUnaryExpr

          static final int NUnaryExpr

      See Also:
        Constant Field Values

    - #### NLabel

          static final int NLabel

      See Also:
        Constant Field Values

    - #### NPostfixExpr

          static final int NPostfixExpr

      See Also:
        Constant Field Values

    - #### NRangeExpr

          static final int NRangeExpr

      See Also:
        Constant Field Values

    - #### NStringSeq

          static final int NStringSeq

      See Also:
        Constant Field Values

    - #### NInitializerElementLabel

          static final int NInitializerElementLabel

      See Also:
        Constant Field Values

    - #### NLcurlyInitializer

          static final int NLcurlyInitializer

      See Also:
        Constant Field Values

    - #### NAsmAttribute

          static final int NAsmAttribute

      See Also:
        Constant Field Values

    - #### NGnuAsmExpr

          static final int NGnuAsmExpr

      See Also:
        Constant Field Values

    - #### NTypeMissing

          static final int NTypeMissing

      See Also:
        Constant Field Values

    - #### Vocabulary

          static final int Vocabulary

      See Also:
        Constant Field Values

    - #### Whitespace

          static final int Whitespace

      See Also:
        Constant Field Values

    - #### Comment

          static final int Comment

      See Also:
        Constant Field Values

    - #### CPPComment

          static final int CPPComment

      See Also:
        Constant Field Values

    - #### NonWhitespace

          static final int NonWhitespace

      See Also:
        Constant Field Values

    - #### PREPROC_DIRECTIVE

          static final int PREPROC_DIRECTIVE

      See Also:
        Constant Field Values

    - #### DefineExpr

          static final int DefineExpr

      See Also:
        Constant Field Values

    - #### DefineExpr2

          static final int DefineExpr2

      See Also:
        Constant Field Values

    - #### Space

          static final int Space

      See Also:
        Constant Field Values

    - #### LineDirective

          static final int LineDirective

      See Also:
        Constant Field Values

    - #### BadStringLiteral

          static final int BadStringLiteral

      See Also:
        Constant Field Values

    - #### Escape

          static final int Escape

      See Also:
        Constant Field Values

    - #### Digit

          static final int Digit

      See Also:
        Constant Field Values

    - #### LongSuffix

          static final int LongSuffix

      See Also:
        Constant Field Values

    - #### UnsignedSuffix

          static final int UnsignedSuffix

      See Also:
        Constant Field Values

    - #### FloatSuffix

          static final int FloatSuffix

      See Also:
        Constant Field Values

    - #### Exponent

          static final int Exponent

      See Also:
        Constant Field Values

    - #### Number

          static final int Number

      See Also:
        Constant Field Values

    - #### LITERAL___label__

          static final int LITERAL___label__

      See Also:
        Constant Field Values

    - #### LITERAL_inline

          static final int LITERAL_inline

      See Also:
        Constant Field Values

    - #### LITERAL_typeof

          static final int LITERAL_typeof

      See Also:
        Constant Field Values

    - #### LITERAL___complex

          static final int LITERAL___complex

      See Also:
        Constant Field Values

    - #### LITERAL___attribute

          static final int LITERAL___attribute

      See Also:
        Constant Field Values

    - #### LITERAL___alignof

          static final int LITERAL___alignof

      See Also:
        Constant Field Values

    - #### LITERAL___real

          static final int LITERAL___real

      See Also:
        Constant Field Values

    - #### LITERAL___imag

          static final int LITERAL___imag

      See Also:
        Constant Field Values